package com.fgrim.parchis4a;

import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PixelXorXfermode;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.util.DisplayMetrics;

public class BMDistancia {
    public Bitmap bm;
    private Canvas mCanvas;
    private Paint mPaint;
    private Drawable fondo;
    private PixelXorXfermode pxor;
    private RectF rect;
    
    public BMDistancia(Resources r) {
    	bm = Bitmap.createBitmap(480, 64, Bitmap.Config.ARGB_8888);
        mCanvas = new Canvas(bm);
        mPaint = new Paint();
        mCanvas.drawColor(0xff660000);
		bm.setDensity(DisplayMetrics.DENSITY_HIGH);
		fondo = r.getDrawable(R.drawable.titulo);
        fondo.setBounds(1, 1, 479, 63);
    	pxor = new PixelXorXfermode(0xffffffff);
    	rect = new RectF();
    }
    
    public void draw(EstadoPartida mEP) {
        String s;
        int x = 240;
        
        mPaint.setAntiAlias(true);
        fondo.draw(mCanvas);
    	for (int c=EstadoPartida.AMAR; c<=EstadoPartida.VERD; c++) {
            mPaint.setStyle(Paint.Style.FILL);
            rect.set(x, 7, x+50, 57);
            mPaint.setColor(Parchis4A.colorj[c]);
            int arco = ((320-mEP.distancia[c])*360)/320;
            mCanvas.drawArc(rect, 270, arco, true, mPaint);
            mPaint.setStyle(Paint.Style.STROKE);
            mPaint.setStrokeWidth(2);
            mPaint.setColor(Parchis4A.colorj2[c]);
           	mCanvas.drawArc(rect, 270, 360, false, mPaint);
            if (arco > 0) mCanvas.drawArc(rect, 270, arco, true, mPaint);
            if (mEP.tipo_jugador[c] != DefPartida.NOJUEGA) {
            	mPaint.setXfermode(pxor);
                s = Integer.toString((320-mEP.distancia[c])*100/320);
                mPaint.setStyle(Paint.Style.FILL);
                mPaint.setTextSize(24);
                mPaint.setTypeface(Typeface.DEFAULT_BOLD);
                mPaint.setColor(0xff000000);
                mPaint.setTextAlign(Paint.Align.CENTER);
                mCanvas.drawText(s, x+25, 38, mPaint);
                mPaint.setTypeface(Typeface.DEFAULT);
                mPaint.setTextSize(16);
                mCanvas.drawText("%", x+25, 52, mPaint);
            	mPaint.setXfermode(null);
            }
            x += 60;
    	}
    }
}
